Bug 1128227 - Massive stacktrace during install with verbosity ON
Summary: Massive stacktrace during install with verbosity ON
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 15:59 UTC by Og Maciel
Modified: 2016-08-25 17:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-25 17:02:20 UTC


Attachments (Terms of Use)

Description Og Maciel 2014-08-08 15:59:01 UTC
Description of problem:

Running the installer with -v shows several warnings but there is a massive stacktrace being displayed as INFO:

[ INFO 2014-08-08 11:40:40 verbose]    (at /usr/share/katello-installer/modules/katello/templates/etc/httpd/conf.d/05-foreman.d/katello.conf.erb:11:in `block in result'; /usr/share/ruby/erb.rb:846:in `eval'; /usr/share/ruby/erb.rb:846:in `block in result'; /usr/share/ruby/erb.rb:847:in `call'; /usr/share/ruby/erb.rb:847:in `result'; /usr/share/ruby/vendor_ruby/puppet/parser/templatewrapper.rb:118:in `block in result'; /usr/share/ruby/vendor_ruby/puppet/util.rb:161:in `block in benchmark'; /usr/share/ruby/benchmark.rb:296:in `realtime'; /usr/share/ruby/vendor_ruby/puppet/util.rb:160:in `benchmark'; /usr/share/ruby/vendor_ruby/puppet/parser/templatewrapper.rb:115:in `result'; /usr/share/ruby/vendor_ruby/puppet/parser/functions/template.rb:16:in `block (2 levels) in <top (required)>'; /usr/share/ruby/vendor_ruby/puppet/parser/functions/template.rb:8:in `collect'; /usr/share/ruby/vendor_ruby/puppet/parser/functions/template.rb:8:in `block in <top (required)>'; /usr/share/ruby/vendor_ruby/puppet/parser/functions.rb:170:in `block (2 levels) in newfunction'; /usr/share/ruby/vendor_ruby/puppet/util/profiler/none.rb:6:in `profile'; /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:43:in `profile'; /usr/share/ruby/vendor_ruby/puppet/parser/functions.rb:163:in `block in newfunction'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/function.rb:42:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resourceparam.rb:14:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:29:in `block (2 levels) in evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:12:in `block in each'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in `each'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in `each'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:28:in `collect'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:28:in `block in evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:12:in `block in each'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in `each'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in `each'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:in `collect'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression.rb:11:in `block in evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression.rb:10:in `each'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression.rb:10:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/resource/type.rb:122:in `evaluate_code'; /usr/share/ruby/vendor_ruby/puppet/parser/resource.rb:79:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:222:in `block in evaluate_classes'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:207:in `each'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:207:in `evaluate_classes'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:60:in `block (3 levels) in evaluate'; /usr/share/ruby/vendor_ruby/puppet/util/errors.rb:62:in `exceptwrap'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:43:in `block (2 levels) in evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:in `collect'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:in `block in evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:12:in `block in each'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in `each'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in `each'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:in `collect'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:14:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:13:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:13:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:13:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:13:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:13:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:13:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/relationship.rb:13:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression.rb:11:in `block in evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression.rb:10:in `each'; /usr/share/ruby/vendor_ruby/puppet/parser/ast/block_expression.rb:10:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'; /usr/share/ruby/vendor_ruby/puppet/resource/type.rb:122:in `evaluate_code'; /usr/share/ruby/vendor_ruby/puppet/parser/resource.rb:79:in `evaluate'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:352:in `block (4 levels) in evaluate_definitions'; /usr/share/ruby/vendor_ruby/puppet/util/profiler/none.rb:6:in `profile'; /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:43:in `profile'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:351:in `block (3 levels) in evaluate_definitions'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:350:in `each'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:350:in `block (2 levels) in evaluate_definitions'; /usr/share/ruby/vendor_ruby/puppet/util/profiler/none.rb:6:in `profile'; /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:43:in `profile'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:349:in `block in evaluate_definitions'; /usr/share/ruby/vendor_ruby/puppet/util/errors.rb:62:in `exceptwrap'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:348:in `evaluate_definitions'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:371:in `block (2 levels) in evaluate_generators'; /usr/share/ruby/vendor_ruby/puppet/util/profiler/none.rb:6:in `profile'; /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:43:in `profile'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:368:in `block in evaluate_generators'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:365:in `loop'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:365:in `evaluate_generators'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:126:in `block (2 levels) in compile'; /usr/share/ruby/vendor_ruby/puppet/util/profiler/none.rb:6:in `profile'; /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:43:in `profile'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:126:in `block in compile'; /usr/share/ruby/vendor_ruby/puppet/context.rb:64:in `override'; /usr/share/ruby/vendor_ruby/puppet.rb:234:in `override'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:106:in `compile'; /usr/share/ruby/vendor_ruby/puppet/parser/compiler.rb:23:in `compile'; /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler.rb:95:in `block (2 levels) in compile'; /usr/share/ruby/vendor_ruby/puppet/util/profiler/none.rb:6:in `profile'; /usr/share/ruby/vendor_ruby/puppet/util/profiler.rb:43:in `profile'; /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler.rb:93:in `block in compile'; /usr/share/ruby/vendor_ruby/puppet/util.rb:161:in `block in benchmark'; /usr/share/ruby/benchmark.rb:296:in `realtime'; /usr/share/ruby/vendor_ruby/puppet/util.rb:160:in `benchmark'; /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler.rb:92:in `compile'; /usr/share/ruby/vendor_ruby/puppet/indirector/catalog/compiler.rb:52:in `find'; /usr/share/ruby/vendor_ruby/puppet/indirector/indirection.rb:201:in `find'; /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:214:in `block in main'; /usr/share/ruby/vendor_ruby/puppet/context.rb:64:in `override'; /usr/share/ruby/vendor_ruby/puppet.rb:234:in `override'; /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:190:in `main'; /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:151:in `run_command'; /usr/share/ruby/vendor_ruby/puppet/application.rb:371:in `block (2 levels) in run'; /usr/share/ruby/vendor_ruby/puppet/application.rb:477:in `plugin_hook'; /usr/share/ruby/vendor_ruby/puppet/application.rb:371:in `block in run'; /usr/share/ruby/vendor_ruby/puppet/util.rb:479:in `exit_on_fail'; /usr/share/ruby/vendor_ruby/puppet/application.rb:371:in `run'; /usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:137:in `run'; /usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:91:in `execute'; /usr/bin/puppet:8:in `<main>')


Version-Release number of selected component (if applicable):

* candlepin-0.9.19-1.el7.noarch
* candlepin-guice-3.0-2_redhat_1.el7.noarch
* candlepin-scl-1-5.el7.noarch
* candlepin-scl-quartz-2.1.5-6.el7.noarch
* candlepin-scl-rhino-1.7R3-3.el7.noarch
* candlepin-scl-runtime-1-5.el7.noarch
* candlepin-selinux-0.9.19-1.el7.noarch
* candlepin-tomcat-0.9.19-1.el7.noarch
* elasticsearch-0.90.10-4.el7sat.noarch
* foreman-1.6.0.38-1.el7sat.noarch
* foreman-compute-1.6.0.38-1.el7sat.noarch
* foreman-gce-1.6.0.38-1.el7sat.noarch
* foreman-libvirt-1.6.0.38-1.el7sat.noarch
* foreman-ovirt-1.6.0.38-1.el7sat.noarch
* foreman-postgresql-1.6.0.38-1.el7sat.noarch
* foreman-proxy-1.6.0.23-1.el7sat.noarch
* foreman-selinux-1.6.0.4-1.el7sat.noarch
* foreman-vmware-1.6.0.38-1.el7sat.noarch
* katello-1.5.0-28.el7sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el7sat.noarch
* katello-installer-0.0.57-1.el7sat.noarch
* openldap-2.4.39-3.el7.x86_64
* pulp-katello-0.3-3.el7sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el7sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el7sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el7sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el7sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el7sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el7sat.noarch
* pulp-server-2.4.0-0.30.beta.el7sat.noarch
* python-ldap-2.4.6-6.el7.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el7sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el7sat.noarch
* rubygem-hammer_cli-0.1.1-11.el7sat.noarch
* rubygem-hammer_cli_foreman-0.1.1-15.el7sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.3-3.el7sat.noarch
* rubygem-hammer_cli_katello-0.0.4-10.el7sat.noarch

How reproducible:


Steps to Reproduce:
1. Run katello-installer -v
2.
3.

Actual results:

See massive stacktrace

Expected results:



Additional info:

Comment 3 Dominic Cleal 2014-08-11 16:38:37 UTC
Reason is deprecated variable access, trivial to fix, low severity:

[ WARN 2014-08-08 11:40:40 verbose]  Variable access via 'operatingsystemmajrelease' is deprecated. Use '@operatingsystemmajrelease' instead. template[/usr/share/katello-installer/modules/katello/templates/etc/httpd/conf.d/05-foreman.d/katello.conf.erb]:11

Comment 4 Stephen Benjamin 2016-08-25 17:02:20 UTC
These stacktraces don't seem to be present in Satellite 6.2 GA anymore.


Note You need to log in before you can comment on or make changes to this bug.